> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /bilety/events/search

> Search and list Bilety.co.il events (Russian-language concerts, theatre, circus, comedy, kids, shows and more across Israel). Filter by free-text keyword, categories and subcategories, cities or whole regions, a quick date window or a custom date range, ticket price range, super-price/discount/tour flags, and choose the sort order. Each event has title, description, image, category, price range, start and end date and featured flag.

**Price:** 1 credit

**💡 AI Hint:** List Bilety.co.il events in Israel. Set count to how many you want. Filter by keyword, categories (concert/theatre/circus/humor/kids/show/meetings/sport/cinema/exhibitions/excursions), subcategories (concert: pop_rock/estrada/hip_hop/jazz_blues/classic/author_song/folk; theatre: plays/musical/opera/ballet_dance/comedy/drama/detective), cities or regions (a_sharon/jerusalem/north/center/south), period (today/tomorrow/week/weekend/next_weekend/month/three_month) or a date_from/date_to range, min_price/max_price, super_price/discount/tour and sort. Each item has id, alias, title, description, image, source, category, subcategory, price_min, price_max, start_date, end_date, comment_count and is_featured. Use bilety/events with the slug or UUID for full details and sessions.



## OpenAPI

````yaml /openapi/events-tickets.json post /api/bilety/events/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/bilety/events/search:
    post:
      tags:
        - /bilety
      summary: /bilety/events/search
      description: >-
        Search and list Bilety.co.il events (Russian-language concerts, theatre,
        circus, comedy, kids, shows and more across Israel). Filter by free-text
        keyword, categories and subcategories, cities or whole regions, a quick
        date window or a custom date range, ticket price range,
        super-price/discount/tour flags, and choose the sort order. Each event
        has title, description, image, category, price range, start and end date
        and featured flag.


        **Price:** 1 credit


        **💡 AI Hint:** List Bilety.co.il events in Israel. Set count to how
        many you want. Filter by keyword, categories
        (concert/theatre/circus/humor/kids/show/meetings/sport/cinema/exhibitions/excursions),
        subcategories (concert:
        pop_rock/estrada/hip_hop/jazz_blues/classic/author_song/folk; theatre:
        plays/musical/opera/ballet_dance/comedy/drama/detective), cities or
        regions (a_sharon/jerusalem/north/center/south), period
        (today/tomorrow/week/weekend/next_weekend/month/three_month) or a
        date_from/date_to range, min_price/max_price, super_price/discount/tour
        and sort. Each item has id, alias, title, description, image, source,
        category, subcategory, price_min, price_max, start_date, end_date,
        comment_count and is_featured. Use bilety/events with the slug or UUID
        for full details and sessions.
      operationId: __api_bilety_events_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BiletyEventsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BiletyEventCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BiletyEventsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
          description: Free-text query to search events by name
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiletyCategory'
              type: array
            - type: 'null'
          description: Restrict to one or more event categories
        subcategories:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiletySubcategory'
              type: array
            - type: 'null'
          description: >-
            Restrict to concert/theatre subcategories (their parent category is
            selected automatically)
        cities:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiletyCity'
              type: array
            - type: 'null'
          description: Restrict to events held in specific cities
        regions:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiletyRegion'
              type: array
            - type: 'null'
          description: Restrict to events held anywhere in whole regions
        period:
          anyOf:
            - $ref: '#/components/schemas/BiletyPeriod'
            - type: 'null'
          description: Quick relative date window for upcoming events
        date_from:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            - type: 'null'
          description: Start of a custom date range (YYYY-MM-DD)
        date_to:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            - type: 'null'
          description: End of a custom date range (YYYY-MM-DD)
        min_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Minimum ticket price filter (ILS)
        max_price:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          description: Maximum ticket price filter (ILS)
        super_price:
          type: boolean
          description: Only events with a special low price
          default: false
        discount:
          type: boolean
          description: Only discounted events
          default: false
        tour:
          type: boolean
          description: Only touring events
          default: false
        sort:
          anyOf:
            - $ref: '#/components/schemas/BiletySort'
            - type: 'null'
          description: Result ordering
        count:
          type: integer
          minimum: 1
          description: Max number of events to return
      type: object
      required:
        - count
    BiletyEventCard:
      properties:
        '@type':
          type: string
          default: BiletyEventCard
        id:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        subcategory:
          anyOf:
            - type: string
            - type: 'null'
        price_min:
          anyOf:
            - type: number
            - type: 'null'
        price_max:
          anyOf:
            - type: number
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_featured:
          anyOf:
            - type: boolean
            - type: 'null'
        country:
          type: string
          default: Израиль
        lang:
          type: string
          default: ru
      type: object
      required:
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BiletyCategory:
      type: string
      enum:
        - concert
        - theatre
        - circus
        - humor
        - kids
        - show
        - meetings
        - sport
        - cinema
        - exhibitions
        - excursions
    BiletySubcategory:
      type: string
      enum:
        - pop_rock
        - estrada
        - hip_hop
        - jazz_blues
        - classic
        - author_song
        - folk
        - plays
        - musical
        - opera
        - ballet_dance
        - comedy
        - drama
        - detective
    BiletyCity:
      type: string
      enum:
        - gercliya
        - drom_a_sharon_perekrestok_a_yarkon
        - kadima
        - kfar_yona
        - kfar_saba
        - netaniya
        - or_akiva
        - raanana
        - ramat_a_sharon
        - tel_mond
        - hadera
        - abu_gosh
        - beyt_dzhemal
        - ierusalim
        - kibbuc_cora
        - maale_adumim
        - modiin
        - afula
        - zihron_yakov
        - yokneam
        - karmiel
        - kibbuc_gan_shmuel
        - kibbuc_kabri
        - kibbuc_mizra
        - kibbuc_eyn_a_horesh
        - kibbuc_yagur
        - kineret
        - kiryat_mockin
        - kiryat_haim
        - maalot
        - naariya
        - naceret_ilit
        - rayonnyy_sovet_hof_a_karmel
        - tveriya
        - hayfa
        - ariel
        - aeroport_siti
        - bat_yam
        - ganey_tikva
        - givataim
        - iegud
        - lod
        - petah_tikva
        - ramat_gan
        - ramle
        - rishon_le_cion
        - tel_aviv
        - tel_aviv_yaffo
        - holon
        - ashdod
        - ashkelon
        - beer_sheva
        - kibbuc_givat_brener
        - kibbuc_dorot
        - kiryat_gat
        - latrun
        - nes_ciona
        - ofakim
        - rehovot
        - eylat
        - yavne
    BiletyRegion:
      type: string
      enum:
        - a_sharon
        - jerusalem
        - north
        - center
        - south
    BiletyPeriod:
      type: string
      enum:
        - today
        - tomorrow
        - week
        - weekend
        - next_weekend
        - month
        - three_month
    BiletySort:
      type: string
      enum:
        - price_asc
        - price_desc
        - name_asc
        - name_desc
        - date_asc
        - date_desc
        - category_asc
        - category_desc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````